View Issue Details

IDProjectCategoryView StatusLast Update
0014572MediaMonkey 5[All Projects] Generalpublic2019-07-25 18:38
Reporterpeke 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version5.0Fixed in Version5.0 
Summary0014572: HTTPS Radio stations fail to play (regression)
DescriptionSome radio stations fail to play in MMW

- https://wdr-wdr2-muensterland.icecastssl.wdr.de/wdr/wdr2/muensterland/mp3/128/stream.mp3
Stream Info:
HTTP/1.0 200 OK
Content-Type: audio/mpeg
Date: Sat, 02 Dec 2017 23:08:34 GMT
icy-description: Westdeutscher Rundfunk Koeln
icy-genre: wdr
icy-name: WDR 2 Muensterland aktuell, Westdeutscher Rundfunk Koeln
icy-pub: 1
icy-url: http://www.wdr2.de
Server: dg-wdr-https_fra-dtag_edge_a8e804f5c311baaed9221877a8a8051b
Cache-Control: no-cache, no-store
Access-Control-Allow-Origin: *
Access-Control-Allow-Headers: Origin, Accept, X-Requested-With, Content-Type
Access-Control-Allow-Methods: GET, OPTIONS, HEAD
Connection: Close
Expires: Mon, 26 Jul 1997 05:00:00 GMT
icy-metaint: 16000

- https://wdr-wdr3-live.icecastssl.wdr.de/wdr/wdr3/live/mp3/256/stream.mp3
Stream Info:
HTTP/1.0 200 OK
Content-Type: audio/mpeg
Date: Sat, 02 Dec 2017 23:06:40 GMT
icy-description: Westdeutscher Rundfunk Koeln
icy-genre: wdr
icy-name: WDR 3, Westdeutscher Rundfunk Koeln
icy-pub: 1
icy-url: http://www.wdr3.de
Server: dg-wdr-https_fra-dtag_edge_a8e804f5c311baaed9221877a8a8051b
Cache-Control: no-cache, no-store
Access-Control-Allow-Origin: *
Access-Control-Allow-Headers: Origin, Accept, X-Requested-With, Content-Type
Access-Control-Allow-Methods: GET, OPTIONS, HEAD
Connection: Close
Expires: Mon, 26 Jul 1997 05:00:00 GMT
icy-metaint: 16000


Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=10&t=88871
TagsNo tags attached.
Fixed in build2187

Relationships

related to 0015321 resolvedmichal End of songs getting cut off when streaming from Google Play Music 
related to 0015751 closedmichal Some https video streams fails to play 

Activities

Ludek

2017-12-04 11:38

developer   ~0049328

The streams plays fine in MM5, to be found why they don't play in MM4

Ludek

2017-12-04 13:21

developer   ~0049329

Last edited: 2017-12-04 13:23

View 3 revisions

We have reviewed the needed changes (already in MM5) and the changes are quite complex and risky. i.e. there is a high risk of a regression with porting the new handling from MM5 to MM4.

Resolving as fixed in 5.0.0.2085

peke

2019-05-30 22:07

developer   ~0053670

Reopen Links fail to play in 2178

Log File is on FTP.

Ludek

2019-07-08 12:47

developer   ~0054098

Last edited: 2019-07-08 12:52

View 3 revisions

It is a regression in the in_wmp3.dll plugin.
When I copy the in_wmp3.dll from the build 2085 then the playback works.

It is a regression introduced by Michal in the SVN revision 32747 while fixing 0015321
The plugin no longer uses our THTTPStream object for the https stream reading and is using old HttpStream.cpp that is not SSL ready (works only for http).

Assigned to Michal (details discussed offline)

michal

2019-07-09 10:38

developer   ~0054108

Regression fixed in build 2186. Will be working on using THTTPStream with Icy data support for streams.

michal

2019-07-12 08:57

developer   ~0054135

Fixed in build 2187. Now this should work even with Icy metadata, and stability improved.

peke

2019-07-25 18:38

developer   ~0054210

Verified 2187

Stream Plays.